// Eseménykezelés
class EventEmitter {

	constructor () {
		this.events = []
	}

	on (event, cb) {
		if (this.events.hasOwnProperty(event)) {
			this.events[event].push(cb)
		} else {
			this.events[event] = []
			this.events[event].push(cb)
		}
	}

	emit (event, ...params) {
		if (this.events.hasOwnProperty(event)) {
			this.events[event].forEach((cb) => {
				cb(...params)
			})
		}
	}
}
