'use strict';
const CONST = require("../../constants.js");
const LOG   = require("../../core/Logger.js");

const BagModel = require("./BagModel.js");

const BAG_TABLE = "bagData";

class DataAccessLayer {
	constructor(connector) {
		this._connector = connector;
	}

	getBagData(key) {
		return this._connector
			.getRecord(BAG_TABLE, key)
			.then(result => new BagModel(result));
	}

	updateBagData(key, data) {
		return this._connector.saveRecord(BAG_TABLE, data, key);
	}
}

module.exports = DataAccessLayer;