'use strict';

class StorageConnectorBase {
	createPath(path) {
		throw new Error("Storage connector implementation must implement method 'createPath'!");
	}

	readBlob(basePath, blobName) {
		throw new Error("Storage connector implementation must implement method 'loadBlob'!");
	}

	writeBlob(basePath, blobName, data) {
		throw new Error("Storage connector implementation must implement method 'writeBlob'!");
	}

	appendBlob(basePath, blobName, data) {
		throw new Error("Storage connector implementation must implement method 'appendBlob'!");
	}

	deleteBlob(basePath, blobName) {
		throw new Error("Storage connector implementation must implement method 'deleteBlob'!");
	}

	list(basePath) {
		throw new Error("Storage connector implementation must implement method 'list'!");
	}
}

module.exports = StorageConnectorBase;