'use strict';
const crypto = require('crypto');

const SecUtil = {};

SecUtil.salt = (size) => crypto.randomBytes(8).toString("base64");

SecUtil.hash = (string, method) => {
	let hasher = crypto.createHash(method || "md5");
	hasher.update(string);
	return hasher.digest('hex');
}

SecUtil.generatePasswordString = function(salt, hashMethod, password) {
	let hasher = crypto.createHash(hashMethod);
	hasher.update(salt + password);
	return salt + ":" + hashMethod + ":" + hasher.digest('hex');
}

SecUtil.comparePassword = function(rawPwd, storedPwd) {
	let [salt, method, hash] = storedPwd.split(":");
	if (storedPwd === SecUtil.generatePasswordString(salt, method, rawPwd)) return true;
	return false;
}

Object.freeze(SecUtil);
module.exports = SecUtil;