const MongoClient = require("mongodb").MongoClient;
const conf        = require("../config.json");
const BagModel    = require("../api/dal/BagModel.js");

let args = process.argv.slice(2);
if (args.length != 3) {
	console.log("Usage:\n\tnode addBag.js bagId masterKey clientKey");
	process.exit();
}

let bag = new BagModel(args[0]);
bag.createMasterKey(args[1]);
bag.updateClientKey(args[2]);

console.log(bag.getData());

const client = new MongoClient(conf.dal.url, {
	useNewUrlParser: true,
	useUnifiedTopology: true
});

let context;

client.connect()
	.then(conn => {
		return {
			conn : conn,
			db : conn.db(conf.dal.db)
		}
	})
	.then(ctx => {
		context = ctx;
		console.log("Mongo connected!");
		let data = bag.getData();

		keyValue = data._id;
		return new Promise((resolve, reject) => {
			ctx.db.collection("bagData").insertOne(
				{...data, "_id" : keyValue},
				{},
				(error, result) => {
					if (error) reject(error);
					resolve(result);
				}
			);
		});
	})	
	.then(res => {
		console.log("Data written!");
	})
	.catch(err => {
		console.error("ERROR occured", err);
	})
	.then(res => {
		context.conn.close();
	});