const fs = require('fs')

const Colors = {
	Reset: "\x1b[0m",
	Bright: "\x1b[1m",
	Dim: "\x1b[2m",
	Underscore: "\x1b[4m",
	Blink: "\x1b[5m",
	Reverse: "\x1b[7m",
	Hidden: "\x1b[8m",

	FgBlack: "\x1b[30m",
	FgRed: "\x1b[31m",
	FgGreen: "\x1b[32m",
	FgYellow: "\x1b[33m",
	FgBlue: "\x1b[34m",
	FgMagenta: "\x1b[35m",
	FgCyan: "\x1b[36m",
	FgWhite: "\x1b[37m",

	BgBlack: "\x1b[40m",
	BgRed: "\x1b[41m",
	BgGreen: "\x1b[42m",
	BgYellow: "\x1b[43m",
	BgBlue: "\x1b[44m",
	BgMagenta: "\x1b[45m",
	BgCyan: "\x1b[46m",
	BgWhite: "\x1b[47m"
}

/*
Hide curdor: \x1b[?25l
Show cursor: \x1b[?25h

Cursor blink off: \x1b[?12l
Cursor blink on: \x1b[?12h
*/

const Patterns = {
	default: { prefix: '', postfix: '' },
	error: Colors.BgRed + Colors.FgBlack + 'ERROR' + Colors.Reset + ' %s',
	warning: Colors.BgYellow + Colors.FgBlack + 'WARN' + Colors.Reset + ' %s',
	event: Colors.BgYellow + Colors.FgBlack + 'EVENT' + Colors.Reset + Colors.FgYellow + ' %s' + Colors.Reset,
	info: { prefix: Colors.FgGreen, postfix: Colors.Reset },
}

var logfile = fs.createWriteStream("smb.log", {flags:'a'})

module.exports = function (text, mode = 'default') {
	if (typeof Patterns[mode] == 'object') {
		console.log(Patterns[mode].prefix + text + Patterns[mode].postfix);
	} else {
		console.log(Patterns[mode], text);
	}
	logfile.write(text + '\n')
}
