'use strict';
const CONST = require("../../constants.js");
const LOG   = require("../../core/Logger.js");

class ConnectorBase {
	connect() {
		return Promise.resolve();
	}

	close() {
		return Promise.resolve();
	}

	isConnected() {
		return false;
	}

	getRecord(table, keyValue, keyName) {
		throw new Error("Connector implementation must implement method 'getRecord'!");
	}

	deleteRecord(table, keyValue, keyName) {
		throw new Error("Connector implementation must implement method 'deleteRecord'!");
	}

	updateRecord(table, data, keyValue, keyName) {
		throw new Error("Connector implementation must implement method 'updateRecord'!");
	}

	insertRecord(table, data, keyValue, keyName) {
		throw new Error("Connector implementation must implement method 'insertRecord'!");
	}

	saveRecord(table, data, keyValue, keyName) {
		throw new Error("Connector implementation must implement method 'saveRecord'!");
	}
}

module.exports = ConnectorBase;