'use strict';
const CONST = require("../../constants.js");
const LOG   = require("../../core/Logger.js");

const UserModel = require("./UserModel.js");

const USER_TABLE = "users";

class DataAccessLayer {
	constructor(connector) {
		this._connector = connector;
	}

	getUserData(key) {
		return this._connector
			.getRecord(USER_TABLE, key)
			.then(result => {
				if (result === null) return Promise.reject(new Error("Record not found"));
				return new UserModel(key, result)
			});
	}

	updateUserData(key, data) {
		return this._connector.saveRecord(USER_TABLE, data, key);
	}
}

module.exports = DataAccessLayer;