'use strict';
const SmbfwObjectBase = require("../SmbfwObjectBase.js");

const {
	UnimplementedMethodException,
	MissingFieldException
} = require('../Exception/Exceptions.js');


class ManagedObjectBase extends SmbfwObjectBase {
	constructor() {
		super();
		this._manager = null;
	}

	getManagedName() {
		var ret = this.MANAGED_NAME;
		if (!ret) throw new MissingFieldException(this.util.getClassname(this) + " must define the MANAGED_NAME static field!");
		return ret;
	};

	getName() {
		return this.getManagedName();
	}

	_setManager(manager) {
		this._manager = manager;
	}
}

ManagedObjectBase.prototype.MANAGED_NAME = null;

module.exports = ManagedObjectBase;