'use strict';

class DataTypeTagger {
	constructor(tag) {
		this._tag = tag;
	}

	preSaveData(id, data, options) {
		options["dataType"] = this._tag;
		return [id, data, options];
	}

	preLoadData(id, options) {
		options["dataType"] = this._tag;
		return [id, options];
	}

	preCreateData(data, options) {
		options["dataType"] = this._tag;
		return [data, options];
	}

	preListData(filter, options) {
		options["dataType"] = this._tag;
		return [filter, options];
	}
}

module.exports = DataTypeTagger;