'use strict';
const RESTHeaderAppender = require("./RESTHeaderAppender.js")

class DynamicRESTHeaderAppender extends RESTHeaderAppender {
	constructor(headerProvider) {
		super();
		this._headerProvider = headerProvider;
	}

	_prepareOptions(options, method, path) {
		if (!options) options = {};
		options.headers = {
			...(this._headerProvider()),
			...(options.headers || {})
		}
		return options;
	}
}

module.exports = DynamicRESTHeaderAppender;
