'use strict';
const Time = {};

Time.setTimeProvider = (fn) => {
	Time.timeProvider = fn;
}

Time.setDefaultTimeProvider = () => {
	Time.setTimeProvider(() => Date.now());
}

Time.getNow    = (shift)  => Time.timeProvider() + (shift || 0);
Time.now = Time.getNow;
Time.getNowSec = (shift)  => Time.toSec(Time.getNow(shift));
Time.toSec     = (v) => Math.floor(v / Time.SECOND);

Time.SECOND = 1000;
Time.MINUTE = Time.SECOND * 60;
Time.HOUR   = Time.MINUTE * 60;
Time.DAY    = Time.HOUR   * 24;
Time.WEEK   = Time.DAY    * 7;

Time.setDefaultTimeProvider();
module.exports = Time;