const Smbfw = require("./cls/Smbfw.js")

Smbfw.ScreenBase        = require("./cls/Components/ScreenBase.js");
Smbfw.ModalWindowBase   = require("./cls/Components/ModalWindowBase.js");
Smbfw.Action            = require("./cls/Action/SmbfwActions.js");
Smbfw.Actions           = require("./cls/Action/SmbfwActions.js");
Smbfw.BusinessLogicBase = require("./cls/BusinessLogic/BusinessLogicBase.js");

Smbfw.ModelBase         = require('./cls/DataPipe/Model/ModelBase.js');
Smbfw.RESTModelBase     = require('./cls/DataPipe/Model/RESTModelBase.js');
Smbfw.Exception         = require('./cls/Exception/Exceptions.js');
Smbfw.DataProvider      = {
	MemoryProvider : require('./cls/DataPipe/Provider/MemoryProvider.js'),
	RESTProvider   : require('./cls/DataPipe/Provider/RESTProvider.js'),
	ProviderBase   : require('./cls/DataPipe/Provider/ProviderBase.js')
}

Smbfw.DataPipeMiddleware = {
	DataTypeTagger     : require('./cls/DataPipe/Middleware/DataTypeTagger.js'),
	RESTHeaderAppender : require('./cls/DataPipe/Middleware/RESTHeaderAppender.js'),
	ObjectToJson       : require('./cls/DataPipe/Middleware/ObjectToJson.js'),
	DynamicRESTHeaderAppender : require('./cls/DataPipe/Middleware/DynamicRESTHeaderAppender.js')
}

Smbfw.Util = require("./cls/Util/Util.js");
Smbfw.ref  = Smbfw.Util.resolveDoubleReference;

module.exports = Smbfw;