"use strict";
const BusinessLogicBase = require("../../smbfw/src/smbfw.js").BusinessLogicBase;
const SmbfwActions      = require("../../smbfw/src/smbfw.js").Actions;

class NotificationConfigScreenBL extends BusinessLogicBase {
	handleDefault(state, dispatch) {
	}

	handleUpdateNotificationSettings(state, dispatch, no_phone, missing_gadget, low_battery) {
		let config = state.dynamic.notificationConfig;
		dispatch(SmbfwActions.increaseLock("full"));
		config
			.setNotificationConfig(no_phone, missing_gadget, low_battery)
			.save()
			.then(e => dispatch(SmbfwActions.openSnack(this._smbfw.l.localize("success.save"), "Success")))
			.catch(e => {
				dispatch(SmbfwActions.openSnack(this._smbfw.l.localize("error.save"), "Error"));
				this._error(e);
			})
			.then(r => dispatch(SmbfwActions.decreaseLock("full")));
	}
}

NotificationConfigScreenBL.prototype.MANAGED_NAME = "NotificationConfigScreen_bl";

BusinessLogicBase.generateActions(NotificationConfigScreenBL, {
	actionUpdateNotificationSettings : "handleUpdateNotificationSettings"
});

module.exports = NotificationConfigScreenBL;
