"use strict";
const BusinessLogicBase = require("../../smbfw/src/smbfw.js").BusinessLogicBase;
const SmbfwActions      = require("../../smbfw/src/smbfw.js").Actions;

class ProfileScreenBL extends BusinessLogicBase {
	handleUpdateProfile(state, dispatch, password, name, bagId, clientToken, oldPassword)	{
		let user = state.dynamic.user;
		user
			.setName(name)
			.setPassword(password)
			.setOldPassword(oldPassword)
			.setBagId(bagId)
			.setClientToken(clientToken)
			.save()
			.then(e => dispatch(SmbfwActions.openSnack(this._smbfw.l.localize("success.save"), "Success")))
			.catch(e => {
				dispatch(SmbfwActions.openSnack(this._smbfw.l.localize("error.save"), "Error"));
				this._error(e);
			})
			.then(r => dispatch(SmbfwActions.decreaseLock("full")));
	}
}

ProfileScreenBL.prototype.MANAGED_NAME = "profile_screen_bl";

BusinessLogicBase.generateActions(ProfileScreenBL, {
	actionUpdateProfile : "handleUpdateProfile"
});

module.exports = ProfileScreenBL;
