const React     = require("react");
const connect   = require("../../../smbfw/src/smbfw.js").connect;
const NavBarActions = require("../../businessLogic/NavBarBL.js").Actions;

import Grid from '@material-ui/core/Grid';
import NavLink from '../presentational/NavLink.jsx';

import AppBar from '@material-ui/core/AppBar';
import Toolbar from '@material-ui/core/Toolbar';
import Typography from '@material-ui/core/Typography';
import BusinessCenterIcon from '@material-ui/icons/BusinessCenter';
import MeetingRoomIcon from '@material-ui/icons/MeetingRoom';
import IconButton from '@material-ui/core/IconButton';


class LayoutScreenBase extends React.Component {
	constructor(props) {
		super(props);
		this.state = {
			...props
		};
	}

	renderScreen() {
		throw new Error("Method render screen is not implemented!");
	}

	_getNavibar() {
		let $_l = this.props.$_l;
		return (<div className="navBar">
			<NavLink text={$_l("menu.dashboard")} onClick={() => this.props.openDashboardScreen()} selected={this.props.currentScreen == "DashboardScreen"}></NavLink>
			<NavLink text={$_l("menu.profile")} onClick={() => this.props.openProfileScreen()} selected={this.props.currentScreen == "profile_screen"}></NavLink>
			<NavLink text={$_l("menu.notifications")} onClick={() => this.props.openNotificationConfigScreen()} selected={this.props.currentScreen == "NotificationConfigScreen"}></NavLink>
			<NavLink text={$_l("menu.track_bag")} onClick={() => this.props.openTrackBagScreen()} selected={this.props.currentScreen == "TrackBagScreen"}></NavLink>
			<NavLink text={$_l("menu.logout")} onClick={() => this.props.logout()}></NavLink>
		</div>)
	}

	render() {
		let $_l = this.props.$_l;
		return (
			<div>
			<AppBar>
				<Toolbar>
					<BusinessCenterIcon style={{marginRight: "12px", fontSize: 42}}/>
					<Typography variant="h6" style={{flexGrow: 1}}>
						SMB Web Admin
					</Typography>
					<IconButton onClick={() => this.props.logout()}	color="inherit">
						<MeetingRoomIcon />
					</IconButton>
				</Toolbar>
			</AppBar>
			<Grid container spacing={3} style={{marginTop: "52px"}}>
				<Grid item xs={2}>
					{this._getNavibar()}
				</Grid>
				<Grid item xs={10}>
					{this.renderScreen()}
				</Grid>
			</Grid>
			</div>
		);
	}
}

LayoutScreenBase.getStateToProps = state => ({
	currentScreen : state.smbfw.currentScreen.MANAGED_NAME
});
LayoutScreenBase.getDispatchToProps = NavBarActions.toMapDispatchToProps;

export default LayoutScreenBase;
