const connect   = require("../../../smbfw/src/smbfw.js").connect;
const React     = require("react");
const LayoutScreenBase     = require("./LayoutScreenBase.jsx").default;
const ProfileScreenActions = require("../../businessLogic/ProfileScreenBL.js").Actions;

import TextField from '@material-ui/core/TextField';
import Button from '@material-ui/core/Button';
import Paper from '@material-ui/core/Paper';
import Typography from '@material-ui/core/Typography';

class ProfileScreen extends LayoutScreenBase {
	constructor(props) {
		super(props);
		this.state = {
			...props
		};
	}

	_genericStateUpdate(event) {
		this.setState({ [event.target.name]: event.target.value });
	}

	_renderField(name, type) {
		return (<TextField
			name={name}
			label={this.props.$_l("screen.profile." + name)}
			style={{width: "100%"}}
			defaultValue={this.state[name]}
			onChange={e => this._genericStateUpdate(e)}
			type={type || "text" }
		/>)
	}

	renderScreen() {
		let $_l = this.props.$_l;
		return (
			<Paper className="form" style={{
				margin: "20px auto 20px auto",
				width: "60%",
				padding: "20px",
			}}>
				<Typography variant="h3" component="h2" style={{marginBottom : "20px"}}>
				{$_l("screen.profile.title")}
				</Typography>
				{this._renderField("name")}
				{this._renderField("bagId")}
				{this._renderField("clientToken")}
				{this._renderField("oldPassword", "password")}
				{this._renderField("password", "password")}
				<div style={{justifyContent: "flex-end", display: "flex"}}>
					<Button variant="contained"
						color="primary"
						style={{
							marginTop : "40px"
						}}
						onClick={() => this.props.actionUpdateProfile(
							this.state.password, this.state.name, this.state.bagId, this.state.clientToken, this.state.oldPassword
						)}
					>
						{$_l("screen.profile.update")}
					</Button>
				</div>
			</Paper>
		);
	}
}

const mapStateToProps = state => {
	return {
		name  : state.dynamic.user.getName(),
		bagId : state.dynamic.user.getBagId(),
		clientToken : state.dynamic.user.getClientToken(),
		...(LayoutScreenBase.getStateToProps(state))
	}
};

const mapDispatchToProps = ProfileScreenActions.toMapDispatchToProps({
	...(LayoutScreenBase.getDispatchToProps())
});

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(ProfileScreen);
