const React     = require("react");
const connect   = require("../../../smbfw/src/smbfw.js").connect;
const LayoutScreenBase     = require("./LayoutScreenBase.jsx").default;
const TrackingMap     = require("../presentational/TrackingMap.jsx").default;
const TrackBagScreenActions = require("../../businessLogic/TrackBagScreenBL.js").Actions;

import GoogleMapReact from 'google-map-react';
import BusinessCenterIcon from '@material-ui/icons/BusinessCenter';
import Card from '@material-ui/core/Card';
import CardActions from '@material-ui/core/CardActions';
import CardContent from '@material-ui/core/CardContent';
import Typography from '@material-ui/core/Typography';

const MapMarker = require("../presentational/MapMarker.jsx").default;

class TrackBagScreen extends LayoutScreenBase {
	constructor(props) {
		super(props);
	}

	_genericStateUpdate(event) {
		this.setState({ [event.target.name]: event.target.value });
	}

	static getDerivedStateFromProps(props, state) {
		let bag = props.bag;
		return {
			lat : bag ? bag.getLatitude() : 0,
			lon : bag ? bag.getLongitude() : 0,
			battery : bag ? bag.getBatteryCharge() : 0
		}
	}

	renderScreen() {
		let $_l = this.props.$_l;
		let bag = this.props.bag;
		let lat = bag ? bag.getLatitude() : 0;
		let lon = bag ? bag.getLongitude() : 0;
		let battery = bag ? bag.getLongitude() : 0;

		return (
			<div>
				<Typography variant="h3" component="h2" style={{margin : "20px 0px 20px 0px"}}>
					{$_l("screen.track_bag.title")}
				</Typography>
				<div className="mapContainer" style={{marginRight: "24px"}}>
					<Card className="infoCard">
						<CardContent style={{paddingBottom:"16px"}}>
							<TrackingMap
								lon={lon}
								lat={lat}
								width="100%"
								height="80vh"
								text={$_l("screen.track_bag.map_tag")}
							/>
						</CardContent>
					</Card>
				</div>
			</div>
		);
	}
}

const mapStateToProps = state => ({
	bag : state.dynamic.bag,
	...(LayoutScreenBase.getStateToProps(state))
});

const mapDispatchToProps = TrackBagScreenActions.toMapDispatchToProps({
	...(LayoutScreenBase.getDispatchToProps())
});

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(TrackBagScreen);
