module.exports = {
	"en" : {
		"error" : {
			"login" : "Logging in has failed with the provided credentials",
			"register" : "Registration failed, please check your information",
			"save"  : "Updating settings was unsuccessful!",
			"fetchData" : "Error fetching data from backend!"
		},
		"warning" : {
			"clientToken" : "Your client token seems to be outdated, please add a valid token to be able to access bag related data!"
		},
		"success" : {
			"register" : "Registration succeeded, please check you email!",
			"save"  : "Settings updated successfully!"
		},
		"menu" : {
			"dashboard"     : "Dashboard",
			"profile"       : "Profile",
			"notifications" : "Notifications",
			"track_bag"     : "Track Bag",
			"logout"        : "Logout"
		},
		"shared" : {
			"save"   : "Save",
			"cancel" : "Cancel"
		},
		"screen" : {
			"notification_config" : {
				"title"          : "Notification Settings",
				"info"           : "Send push notification to phone when...",
				"no_phone"       : "...the phone is out of range and the bag is out of a secure location",
				"missing_gadget" : "...a tracked device is missing and the bag is out of a secure location",
				"low_battery"    : "...the bag battery is low"
			},
			"login" : {
				"title"              : "Sign in",
				"forgotten_password" : "Forgot your password?",
				"register"           : "Register Bag",
				"login"              : "Login"
			},
			"track_bag" : {
				"map_tag" : "Bag",
				"title"   : "Bag Tracking"
			},
			"forgotten_password" : {
				"title"  : "Forgotten Password",
				"email"  : "Email Address",
				"bagId"  : "SMB Bag ID",
				"info" : "Please enter your e-mail address and the registered bag id and we'll send you your new password!",
				"reset" : "Reset Password"
			},
			"dashboard" : {
				"position"  : "Position",
				"longitude" : "Longitude",
				"latitude"  : "Latitude",
				"battery"  : "Battery",
				"gadgets"  : "Devices",
				"title" : "Dashboard"
			},
			"profile" : {
				"title"  : "Profile Settings",
				"name"   : "Full Name",
				"bagId"  : "SMB Bag ID",
				"clientToken" : "SMB Client token",
				"oldPassword" : "Old Password",
				"password"    : "New Password",
				"update" : "Update"
			},
			"registration" : {
				"title"  : "Register New Smartbag",
				"email"  : "Email Address",
				"name"   : "Full Name",
				"bagId"  : "SMB Bag ID",
				"clientToken" : "SMB Client token",
				"password"    : "Password",
				"password2"   : "Password Again",
				"register" : "Register"
			}
		}
	},
	"hu" : {
		"error" : {
			"login" : "A bejelentkezés sikertelen",
			"register" : "A regisztráció sikertelen, kérjük ellenőrizze a megadott adatokat!",
			"save"  : "Beállítások mentése sikertelen!",
			"fetchData" : "Kapcsolati hiba a kiszolgálóval!"
		},
		"warning" : {
			"clientToken" : "A megadott kliens token már nem érvényes, kérjük adjon meg érvényes tokent a táska adatok lekérdezéséhez!"
		},
		"success" : {
			"register" : "Sikeres regisztráció, aktivációs linket emailben kiküldtük!",
			"save"  : "Beállítások mentése sikeres!"
		},
		"shared" : {
			"save"   : "Mentés",
			"cancel" : "Mégsem"
		},
		"menu" : {
			"dashboard"     : "Irányítópult",
			"profile"       : "Beállítások",
			"notifications" : "Értesitések",
			"track_bag"     : "Táska nyomonkövetése",
			"logout"        : "Kijelentkezés"
		},
		"screen" : {
			"notification_config" : {
				"title"          : "Értesítési beállítások",
				"info"           : "A rendszer küldjön értesítést ha...",
				"no_phone"       : "...a telefon nem elérhető, és a táska nincs biztonságosnak megítélt helyen",
				"missing_gadget" : "...egy követett eszköz nem érzékelhető, és a táska nincs biztonságosnak megítélt helyen",
				"low_battery"    : "...a táska töltöttségi szintje alacsony"
			},
			"login" : {
				"title"              : "Bejelentkezés",
				"forgotten_password" : "Elfelejtette a jelszavát?",
				"register"           : "Táska regisztrálása",
				"login"              : "Bejelentkezés"
			},
			"track_bag" : {
				"map_tag" : "Táska",
				"title"   : "Táska nyomonkövetése"
			},
			"forgotten_password" : {
				"title"  : "Elfelejtett jelszó",
				"email"  : "E-mail cím",
				"bagId"  : "SMB Táska azonosító",
				"info" : "Kérjük adja meg az e-mail címét és a táska azonosítóját, és e-mailben kiküldjük az új jelszavát.",
				"reset" : "Új jelszó generálás"
			},
			"dashboard" : {
				"position"  : "Pozíció",
				"longitude" : "Hosszúság",
				"latitude"  : "Szélesség",
				"battery"  : "Akkumlátor",
				"gadgets"  : "Eszközök",
				"title" : "Irányítópult"
			},
			"profile" : {
				"title"  : "Beállítások",
				"name"   : "Név",
				"bagId"  : "SMB Táska azonosító",
				"clientToken" : "SMB kliens token",
				"oldPassword" : "Régi jelszó",
				"password"    : "Új jelszó",
				"update" : "Update"
			},
			"registration" : {
				"title"  : "Űj táska regisztrálása",
				"email"  : "E-mail cím",
				"name"   : "Név",
				"bagId"  : "SMB Táska azonosító",
				"clientToken" : "SMB kliens token",
				"password"    : "Jelszó",
				"password2"   : "Jelszó újra",
				"register" : "Regisztráció"
			}
		}
	}
}