"use strict";
const Smbfw   = require("../../smbfw/src/smbfw.js");

class BagDataRDM extends Smbfw.RESTModelBase {
	/***
	 * This method is invoked when no data is provided, and we need to initialize an empty object
	 * @return {mixed} - Initial data in internal format
	 */
	_initialData() {
		return {
			battery: 0,
			lat: 0,
			lon: 0,
			phone_active: false,
			ts: 0,
			missing_gadgets: 0,
			gadgets: 0
		};
	}

	getLatitude() {
		return this._data.lat;
	}

	getLongitude() {
		return this._data.lon;
	}

	isPhoneActive() {
		return this._data.phone_active;
	}

	getTotalGadgets() {
		return this.getAvailableGadgets() + this.getMissingGadgets();
	}

	getMissingGadgets() {
		return this._data.missing_gadgets || 0;
	}

	getAvailableGadgets() {
		return this._data.gadgets || 0;
	}

	getTs() {
		return this._data.ts;
	}

	getBatteryCharge() {
		return this._data.battery;
	}
}

module.exports = BagDataRDM;