"use strict";
const Smbfw   = require("../../smbfw/src/smbfw.js");

class ResetPasswordRDM extends Smbfw.RESTModelBase {
	/***
	 * This method is invoked when no data is provided, and we need to initialize an empty object
	 * @return {mixed} - Initial data in internal format
	 */
	_initialData() {
		return {
			email : null,
			bagId : null,
		};
	}

	setResetParams(email, bagId) {
		this._data.email = email;
		this._data.bagId = bagId;
	}

	getUserId() {
		return this._data.uid;
	}

	updateRawData(data) {
		this._data = this._parseData(data);
		this._afterParseData();
	}
}

module.exports = ResetPasswordRDM;