"use strict";
const Smbfw   = require("../../smbfw/src/smbfw.js");

class UserRDM extends Smbfw.RESTModelBase {
	constructor(...args) {
		super(...args);
	}

	/***
	 * This method is invoked when no data is provided, and we need to initialize an empty object
	 * @return {mixed} - Initial data in internal format
	 */
	_initialData() {
		return {
			//identification
			id          : null,
			email       : null,
			name        : null,
			password    : null,
			oldPassword : null,
			bagId       : null,
			clientToken : null
		};
	}

	getId() {
		return this.getEmail();
	}

	getName() {
		return this._data.name || "";
	}

	getEmail() {
		return this._data.email || "";
	}

	getBagId() {
		return this._data.bagId || "";
	}

	getClientToken() {
		return this._data.clientToken || "";
	}

	setName(name) {
		this._data.name = name;
		return this;
	}

	setPassword(password) {
		this._data.password = password;
		return this;
	}

	setOldPassword(password) {
		this._data.oldPassword = password;
		return this;
	}

	setEmail(email) {
		this._data.email = email;
		this._data.id    = email;
		return this;
	}

	setBagId(bagId) {
		this._data.bagId = bagId;
		return this;
	}

	setClientToken(clientToken) {
		this._data.clientToken = clientToken;
		return this;
	}
}

module.exports = UserRDM;
